Subject: Bug#987570: openjdk-11-jre-headless: libawt_xawt.so still listed as part of this package instead of openjdk-11-jre

From: Matthias Klose <[email-masked]>
Date: Mon, 26 Apr 2021 11:33:41 +0200

Control: clone -1 -2
Control: reassign -2 src:davmail

On 4/25/21 10:23 PM, GuyXY wrote:
> Package: openjdk-11-jre-headless
> Severity: important
> 
> After installing the latest security updates, davmail stopped working.
> I looked into it and found out, that it required the file '/usr/lib/jvm/java-11-openjdk-amd64/lib/libawt_xawt.so' which was now missing even tho it's supposed to be installed as part of the openjdk-11-jre-headless package, which is installed as one of davmail's dependencies.
> 
> I asked for help in the #debian IRC channel, and we came to the conclusion that the file has been moved to the openjdk-11-jre package.
> The package content list do not reflect those changes yet. Please adjust the list of the package contents for openjdk-11-jre-headless and openjdk-11-jre in Buster to avoid further confusion.
> 
> PS: It may also be a good idea to change the dependency from davmail from openjdk-11-jre-headless to openjdk-11-jre as well or add it as a recommended or at least suggested package.

Right, I'm curious which component needs libawt_xawt.so.  The package already
lists libswt-gtk2-4-jni, libswt-cairo-gtk-4-jni, libopenjfx-java as suggestions,
so maybe these should be upgraded to recommendations as well?  Or is it possible
to split out the UI components into a separate package?